* PROGRAM NAME: OOPCV1M.SAS;
* DESCRIPTION:  MAIN MACRO THAT CALLS OTHER PROGRAMS;

%MACRO OOPCV1M(RUNYEAR=, INP=, CATEG=, INPUTJSONDIR=, FORMULARY=);

  %IF &INPUT = INPUTPLAN %THEN %DO;
    %INCLUDE IN0(JSON_IMPORT.SAS)/SOURCE2;
  %END;
  
  %IF &INPUT = INPUTPLAN %THEN %DO;
    %INCLUDE IN0(PBP_IMPORT.SAS)/SOURCE2;
  %END;

  %IF &INPUT = INPUTCMS %THEN %DO;
    %INCLUDE IN0(PBP_IMPORT_CMS.SAS)/SOURCE2;
    %INCLUDE IN0(PBP_IMPORT_PARTD_CMS.SAS)/SOURCE2;
  %END;

%IF &PDP > 0 OR &MAPD > 0 %THEN %DO;

  %INCLUDE IN0(PBP_DRUG_VARIABLES.SAS)/SOURCE2;
  RUN;

  %INCLUDE IN0(BUILD_TAG_RANK_FORMAT.SAS)/SOURCE2;
  RUN;
  
  %INCLUDE IN0(BUILD_NONFORM_FORMAT.SAS)/SOURCE2;
  RUN;  
  
  %IF &INPUT^=INPUTCMS %THEN %DO;
    %INCLUDE IN0(BUILD_LOOKUP_SUB.SAS)/SOURCE2;
    RUN;
  %END;

  %ELSE %IF &INPUT=INPUTCMS %THEN %DO;
    %INCLUDE IN0(BUILD_LOOKUP_CMS_SUB.SAS)/SOURCE2;
    RUN;
  %END;

  %INCLUDE IN0(BUILD_FFF_FORMAT.SAS)/SOURCE2;
  RUN;

  %INCLUDE IN0(EXCEPT_TA.SAS)/SOURCE2;
  RUN;

  %INCLUDE IN0(BUILD_LOOKUP_THERASUB.SAS)/SOURCE2;
  RUN;

  %INCLUDE IN0(BENEFIT_OOPC_COST_CALCULATION.SAS)/SOURCE2;
  RUN;

%END;

%IF &PDP > 0 OR &MAPD > 0 %THEN %DO;
  %INCLUDE IN0(BASEID_DRUGS.SAS)/SOURCE2;
%END;

%MEND;
RUN;
